%% Load Data
load('Grating_Resps_LFP_L4.mat')


figure;
for i=1:4
    trials = i:i+2;
    avgResps = computeOverallMean(In_Grating_Resps,trials);
    a = subplot(1,4,i);
    plot_Result(a,avgResps);
    title(sprintf('Trials %d-%d',i,i+2))
    ylabel('\muV')
    xlabel('t (s)')
end







function c = computeOverallMean(resps,trialNums)
        if nargin<2
            trialNums = 1:10;
        end
        c = [];
        for j = 1:length(resps)
            resps{j} = resps{j}(trialNums);
            nanvals = cellfun(@(x) length(x)==1,resps{j});
            resps{j} = resps{j}(~nanvals);
            tmp = cell2mat(resps{j}');
            if(~isempty(tmp))
            c =  cat(1,c,nanmean(tmp(:,1:401),1));
            else
                c = cat(1,c,nan*ones(1,401));
            end
        end
end


function in = plot_Result(a,a_In)
% Compute LOO bootstrap population for plotting
for i = 1:size(a_In,1)
    sample = randperm(size(a_In,1),size(a_In,1)-2);
    s = a_In(sample,:);
    in(i,:) = nanmean(s);
end

plot(a,-.05:.001:.35,smooth(nanmean(in),3),'k-','linewidth',2)
hold on;
 plot(a,-.05:.001:.35,smooth(nanmean(in),3) + nanstd(in)','k-',...
    -.05:.001:.35,smooth(nanmean(in),3) - nanstd(in)','k-')

 axis(a,'square')
 set(gca,'tickdir','out')
box off
 ylim(a,[-200 200]);
  xlim(a,[-.05 0.35])
end