%% Load Data
load('Bar_Resps_LFP_L4.mat')


figure; hold on;
for i=[1 4]
    trials = i:i+2;
    avgResps = computeOverallMean(In_Bar_Resps,trials);
   
    plot_Result(avgResps);

end
title('Detect In RF Trial 1 vs Trial 5')


figure; hold on;
for i=[1 4]
    trials = i:i+2;
    avgResps = computeOverallMean(Out_Bar_Resps,trials);
   
    plot_Result(avgResps);

end
title('Detect Out of RF Trial 1 vs Trial 5')






function c = computeOverallMean(resps,trialNums)
        if nargin<2
            trialNums = 1:10;
        end
        c = [];
        for j = 1:length(resps)
            resps{j} = resps{j}(trialNums);
            nanvals = cellfun(@(x) length(x)==1,resps{j});
            resps{j} = resps{j}(~nanvals);
            tmp = cell2mat(resps{j}');
            if(~isempty(tmp))
            c =  cat(1,c,nanmean(tmp(:,1:401),1));
            else
                c = cat(1,c,nan*ones(1,401));
            end
        end
end


function in = plot_Result(a_In)
% Compute LOO bootstrap population for plotting
for i = 1:size(a_In,1)
    sample = randperm(size(a_In,1),size(a_In,1)-1);
    s = a_In(sample,:);
    in(i,:) = nanmean(s);
end

plot(-.05:.001:.35,smooth(nanmean(in),3),'k-','linewidth',2)
hold on;
 plot(-.05:.001:.35,smooth(nanmean(in),3) + nanstd(in)','k-',...
    -.05:.001:.35,smooth(nanmean(in),3) - nanstd(in)','k-')

 axis('square')
 set(gca,'tickdir','out')
box off
 ylim([-200 200]);
  xlim([-.05 0.35])
end